POST V1/RateAndTariff.{ext}/Rate

This API used to create Rate details.
Mandatory Fields :Rate Basic Details
Optional Fields : N/A.

Request Information

URI Parameters

NameDescriptionTypeAdditional information
ext

Which media types are acceptable for the response, such as json/xml

If no matches are found, the content negotiator tries to match on the media type of the request body, if any. For example, if the request contains JSON data, the content negotiator looks for a JSON formatter.

string

Content-Type: application/json OR application/xml

Body Parameters

EMS.RateAndTariff.Entities.RateBasicDetails
NameDescriptionTypeAdditional information
RateId

No description available

integer

None.

RateName

No description available

string

None.

VendorName

No description available

string

None.

Utility

No description available

string

None.

SectorType

No description available

string

None.

FromDate

No description available

string

None.

ToDate

No description available

string

None.

MinimumUsage

No description available

decimal number

None.

MaximumUsage

No description available

decimal number

None.

EnergyHistory

No description available

decimal number

None.

Adjustment

No description available

decimal number

None.

EnergyCharges

No description available

decimal number

None.

WaterChargePerUOM

No description available

decimal number

None.

CustomerCharge

No description available

decimal number

None.

MinimumDemand

No description available

decimal number

None.

MaximumDemand

No description available

decimal number

None.

DemandHistory

No description available

decimal number

None.

Adjustments

No description available

decimal number

None.

DemandCharges

No description available

decimal number

None.

GasChargePerUOM

No description available

decimal number

None.

MinimumVoltage

No description available

decimal number

None.

MaximumVoltage

No description available

decimal number

None.

RateBy

No description available

string

None.

CustomCharges

No description available

Collection of EMS.RateAndTariff.Entities.CustomCharge

None.

Request Formats

application/json, text/json

Sample:
{
  "rateId": 1,
  "rateName": "sample string 2",
  "vendorName": "sample string 3",
  "utility": "sample string 4",
  "sectorType": "sample string 5",
  "fromDate": "sample string 6",
  "toDate": "sample string 7",
  "minimumUsage": 8.0,
  "maximumUsage": 9.0,
  "energyHistory": 10.0,
  "adjustment": 11.0,
  "energyCharges": 12.0,
  "waterChargePerUOM": 13.0,
  "customerCharge": 14.0,
  "minimumDemand": 15.0,
  "maximumDemand": 16.0,
  "demandHistory": 17.0,
  "adjustments": 18.0,
  "demandCharges": 19.0,
  "gasChargePerUOM": 20.0,
  "minimumVoltage": 21.0,
  "maximumVoltage": 22.0,
  "rateBy": "sample string 23",
  "customCharges": [
    {
      "customChargeType": "sample string 1",
      "customChargeValue": 2.0,
      "customChargeUnit": "sample string 3",
      "chargeDescription": "sample string 4"
    },
    {
      "customChargeType": "sample string 1",
      "customChargeValue": 2.0,
      "customChargeUnit": "sample string 3",
      "chargeDescription": "sample string 4"
    }
  ]
}

application/xml, text/xml

Sample:
<RateBasicDetails xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EMS.RateAndTariff.Entities">
  <Adjustment>11</Adjustment>
  <Adjustments>18</Adjustments>
  <CustomCharges>
    <CustomCharge>
      <chargeDescription>sample string 4</chargeDescription>
      <customChargeType>sample string 1</customChargeType>
      <customChargeUnit>sample string 3</customChargeUnit>
      <customChargeValue>2</customChargeValue>
    </CustomCharge>
    <CustomCharge>
      <chargeDescription>sample string 4</chargeDescription>
      <customChargeType>sample string 1</customChargeType>
      <customChargeUnit>sample string 3</customChargeUnit>
      <customChargeValue>2</customChargeValue>
    </CustomCharge>
  </CustomCharges>
  <CustomerCharge>14</CustomerCharge>
  <DemandCharges>19</DemandCharges>
  <DemandHistory>17</DemandHistory>
  <EnergyCharges>12</EnergyCharges>
  <EnergyHistory>10</EnergyHistory>
  <FromDate>sample string 6</FromDate>
  <GasChargePerUOM>20</GasChargePerUOM>
  <MaximumDemand>16</MaximumDemand>
  <MaximumUsage>9</MaximumUsage>
  <MaximumVoltage>22</MaximumVoltage>
  <MinimumDemand>15</MinimumDemand>
  <MinimumUsage>8</MinimumUsage>
  <MinimumVoltage>21</MinimumVoltage>
  <RateBy>sample string 23</RateBy>
  <RateId>1</RateId>
  <RateName>sample string 2</RateName>
  <SectorType>sample string 5</SectorType>
  <ToDate>sample string 7</ToDate>
  <Utility>sample string 4</Utility>
  <VendorName>sample string 3</VendorName>
  <WaterChargePerUOM>13</WaterChargePerUOM>
</RateBasicDetails>

application/x-www-form-urlencoded

Sample:

Sample not available.

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.

Response Information

Resource Description

EMSResponseOfEMS.Common.TransactionResults
NameDescriptionTypeAdditional information
ResponseType

No description available

string

None.

Response

No description available

EMS.Common.TransactionResults

None.

Error

No description available

EMS.Common.Error

None.

Response Formats

application/json, text/json

Sample:
{
  "responseType": "TransactionResults",
  "response": {
    "transactionResult": [
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      },
      {
        "status": "sample string 1",
        "message": "sample string 2",
        "result": "sample string 3"
      }
    ]
  },
  "error": {
    "errorCode": "sample string 1",
    "errorDescription": "sample string 2"
  }
}

application/bson

Sample:
Binary JSON content. See http://bsonspec.org for details.